Get all search statuses
curl --request GET \
--url https://api.brightdata.com/webarchive/searches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/webarchive/searches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/webarchive/searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"search_id": "ucd_abc123xyz",
"status": "in_progress"
},
{
"search_id": "ucd_def456xyz",
"status": "done",
"filters": {
"max_age": "1d",
"domain_whitelist": [
"example.com"
],
"min_date": "2026-02-05T11:00:00.000Z"
},
"files_count": 2885,
"estimate_batch_count": 1,
"estimate_batch_size": 1132300,
"dump_cost_usd": 0.58,
"cost_breakdown": {
"archive_pages_count": 0,
"archive_pages_cost": 0,
"cache_pages_count": 2885,
"cache_pages_cost": 0.58
},
"estimate_dump_duration_sec": 38,
"duration": "2s425ms"
},
{
"search_id": "ucd_ghi789xyz",
"status": "failed",
"error": "Path regex filter caused non-retryable error"
}
]"Unauthorized""Internal server error"所有状态
获取所有搜索状态
使用 Bright Data Archive API 获取所有搜索状态。GET /webarchive/searches 返回 200 OK,包含每次搜索的 JSON 状态。热存储保留期为 24 小时。
GET
/
webarchive
/
searches
Get all search statuses
从 2026 年 3 月 26 日开始,热存储保留期从 48 小时更改为 24 小时。
授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
此页面对您有帮助吗?
⌘I